import glob
import shutil
import os
import netCDF4

def main():

    for path in glob.glob('/esarchive/exp/ecearth/a0pe/cmorfiles/BSC/EC-EARTH3/a0pe/*/day/*/*/*/*_Oday_*'):
        day_path =path.replace('_OIday_', '_day_')
        if os.path.isfile(day_path):
            print('del {0}'.format(path))
            os.remove(path)
        else:
            print('move {0}'.format(path))
            handler = netCDF4.Dataset(path, 'a')
            handler.table_id = "Table day (December 2013)"
            handler.close()
            shutil.move(path, day_path)



if __name__ == '__main__':
    main()
